<template>
    <button 
    :class="outlined ? 'btn--outlined' : null" 
    class="btn btn--main"
    >
        {{ title }}
    </button>
</template>

<script>
export default {
    props: {
        title: String,
        outlined: Boolean
    }
}
</script>

<style scoped>
.btn--main {
    background: var(--color-primary);
    border: 2px solid var(--color-primary);
    color: #151522;
    border-radius: 12px;
    font-weight: 600;
    font-size: 16px;
    padding: 16px 0;
    width: 100%;
    margin-bottom: 20px;
}

.btn--outlined {
    background: none;
    color: var(--color-primary);
}

.btn--outlined:hover {
    background: rgba(44, 255, 186, 0.1);
}

@media screen and (min-width: 768px) {
    .btn--main {
        width: 185px;
        margin-right: 20px;
    }
}
</style>